<script setup lang="ts">
import { onLaunch, onShow } from "@dcloudio/uni-app";
import { useAuthStore } from "./stores/auth";

onLaunch(() => {
  console.log("App Launch");
  const authStore = useAuthStore();
  authStore.checkLogin();
});

onShow(() => {
  console.log("App Show");
});
</script>

<style>
@import "@/styles/uni-icons.css";
</style>
